<?php
/**
 * The template for displaying Maintenance Mode Page
 *
 * This is the template that displays Maintenance Mode0 page by default.
 *
 */
add_filter( 'crotive_filter_show_header', 'crotive_return_false' );
add_filter( 'crotive_filter_show_footer', 'crotive_return_false' );
	
//change the page title
if( crotive_get_redux_option( 'maintenance-mode-settings-title' ) != '' ) {
	add_filter('pre_get_document_title', 'crotive_change_the_title');
	function crotive_change_the_title() {
		return crotive_get_redux_option( 'maintenance-mode-settings-title' );
	}
}

get_header();
?>

<?php
if ( mascot_core_crotive_plugin_installed() ) {
	mascot_core_crotive_get_maintenance_mode_parts();
}
?>

<?php get_footer();
